gtkmm: Gtk::RecentChooserDialog Class Reference

# Gtk::RecentChooserDialog Class Reference
[RecentFiles]

RecentChooserDialog is a dialog box suitable for displaying the recently used documents. More...

Inherits Gtk::Dialog, and Gtk::RecentChooser.

Collaboration diagram for Gtk::RecentChooserDialog:
[legend]

List of all members.

## Public Member Functions

virtual | ~RecentChooserDialog ()
GtkRecentChooserDialog* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkRecentChooserDialog* | gobj () const
| Provides access to the underlying C GtkObject.
| RecentChooserDialog (Gtk::Window& parent, const Glib::ustring& title)
| RecentChooserDialog (const Glib::ustring& title)
| RecentChooserDialog (Gtk::Window& parent, const Glib::ustring& title, const Glib::RefPtr< RecentManager >& recent_manager)
| RecentChooserDialog (const Glib::ustring& title, const Glib::RefPtr< RecentManager >& recent_manager)

## Related Functions

(Note that these are not member functions.)
Gtk::RecentChooserDialog* | wrap (GtkRecentChooserDialog* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

RecentChooserDialog is a dialog box suitable for displaying the recently used documents.

This widget works by putting a RecentChooserWidget inside a Dialog. It exposes the RecentChooser interface, so you can use all the RecentChooser functions on the recent chooser dialog as well as those for Dialog.

Note that RecentChooserDialog does not have any methods of its own. Instead, you should use the functions that work on a RecentChooser.

A RecentChooserDialog looks like this:

Since gtkmm 2.10:

## Constructor & Destructor Documentation

virtual Gtk::RecentChooserDialog::~RecentChooserDialog | ( |  | ) | `[virtual]`

Gtk::RecentChooserDialog::RecentChooserDialog | ( | Gtk::Window& | parent,
|  | const Glib::ustring & | title |
| ) |  |  | `[explicit]`

Gtk::RecentChooserDialog::RecentChooserDialog | ( | const Glib::ustring & | title | ) | `[explicit]`

Gtk::RecentChooserDialog::RecentChooserDialog | ( | Gtk::Window& | parent,
|  | const Glib::ustring & | title,
|  | const Glib::RefPtr< RecentManager >& | recent_manager |
| ) |  |  | `[explicit]`

Gtk::RecentChooserDialog::RecentChooserDialog | ( | const Glib::ustring & | title,
|  | const Glib::RefPtr< RecentManager >& | recent_manager |
| ) |  |  | `[explicit]`

## Member Function Documentation

const GtkRecentChooserDialog* Gtk::RecentChooserDialog::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

GtkRecentChooserDialog* Gtk::RecentChooserDialog::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

## Friends And Related Function Documentation

Gtk::RecentChooserDialog* wrap | ( | GtkRecentChooserDialog * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/recentchooserdialog.h